Summary:	A spam filter for Usenet news servers.
Name:		cleanfeed
%define version 0.95.7b
Version:	%{version}
Release:	11mdk
Copyright:	distributable
Group:		System/Servers
Source0:	ftp://ftp.exit109.com/users/jeremy/cleanfeed-%{version}.tar.bz2
Patch0:		cleanfeed-0.95.7b-redhat.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch


%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed is
highly configurable, easily modified and very fast.  It can be configured
to block binary posts to non-binary newsgroups, to cancel already-rejected
articles, and to reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet news
server.

%prep
%setup
%patch0 -p1 -b .rh

%install
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/news,%{_mandir}/man8,%{_libdir}/news/bin/control}
install -m 0644 cleanfeed.conf $RPM_BUILD_ROOT/%{_sysconfdir}/news/
install -m 0644 cleanfeed.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 0755 cleanfeed $RPM_BUILD_ROOT/%{_libdir}/news/bin/control/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_mandir}/man8/cleanfeed.8*
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/cleanfeed.conf
%attr(-,news,news) %{_libdir}/news/bin/control/filter_innd.pl

%changelog
* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.95.7b-11mdk
- clean up spec
- add %%doc to %%files section

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 0.95.7b-10mdk
- s,tmpdir,tmppath

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.95.7b-9mdk
- spec file cleanup
- cleanfeed.conf is %config(noreplace)
- BMacros

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 0.95.7b-8mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.95.7b-7mdk
- Fixed groups
- spec-helper

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild'ed'ed'ed'ed

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Use attr not install -o/-g, now builds as non root
- Redhat Merge :
	* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
	- don't require perl-MD5 anymore (that was merged in the main perl package)


* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package
